%global debug_package %{nil}
%global bigname QXmlEdit

Name:           qxmledit
Version:        0.9.15
Release:        1
License:        LGPLv2+ and GPLv3 and zlib
Summary:        Simple XML Editor and XSD Viewer
Url:            http://qxmledit.org/
Source0:        https://github.com/lbellonda/qxmledit/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.patch
# qt5-qtbase-devel (Qt5Core..Qt5Xml)
BuildRequires:  pkgconfig(Qt5)
# qt5-qtsvg-devel
BuildRequires:  pkgconfig(Qt5Svg)
# qt5-qtscxml-devel
BuildRequires:  pkgconfig(Qt5Scxml)
# qt5-qtxmlpatterns-devel
BuildRequires:  pkgconfig(Qt5XmlPatterns)
# qt5-qtdeclarative-devel
BuildRequires:  pkgconfig(Qt5Qml)
# mesa-libGLU-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  qt5-linguist
BuildRequires:  desktop-file-utils
Requires:       libqxmledit%{?_isa} = %{version}-%{release}

%description
QXmlEdit is a simple XML editor based on qt libraries. Its main features are unusual data visualization modes,
nice XML manipulation and presentation and it is multi platform. It can split very big XML files
into fragments, and compare XML files. It is one of the few graphical Open Source XSD viewers.


%package -n     libqxmledit
Summary:        Simple XML Editor Shared Libraries
Group:          System/Libraries

%description -n libqxmledit
QXmlQXmlEdit is a simple XML editor based on qt libraries.
This package includes QXmlEdit shared libraries.


%package -n     libqxmledit-devel
Summary:        Simple XML Editor Development Files
Group:          Development/Libraries/C and C++
Requires:       libqxmledit%{?_isa} = %{version}-%{release}

%description -n libqxmledit-devel
QXmlEdit is a simple XML editor based on qt libraries.
This package includes QXmlEdit development files.


%prep
%autosetup -p 0


%build
lrelease-qt5 {src/QXmlEdit.pro,src/QXmlEditWidget.pro,src/sessions/QXmlEditSessions.pro}
export QXMLEDIT_INST_DATA_DIR=%{_datadir}/%{name}
export QXMLEDIT_INST_DIR=%{_bindir}
export QXMLEDIT_INST_INCLUDE_DIR=%{_includedir}/%{name}
export QXMLEDIT_INST_LIB_DIR=%{_libdir}
export QXMLEDIT_INST_DOC_DIR=%{_defaultdocdir}/%{name}
export QXMLEDIT_INST_TRANSLATIONSDIR={_datadir}/{name}/translations
qmake-qt5 "CONFIG+=release"
make %{?_smp_mflags}


%install
make INSTALL_ROOT=%{buildroot} install
%find_lang %{bigname} --with-qt --without-mo
%find_lang {%{bigname},QXmlEditWidget,SCXML,QXmlEditSessions} --with-qt --without-mo


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{bigname}.desktop


%post
/usr/bin/update-desktop-database &> /dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :


%post -n libqxmledit -p /sbin/ldconfig


%postun -n libqxmledit -p /sbin/ldconfig


%files
%license COPYING GPLV3.txt LGPLV3.txt
%doc AUTHORS NEWS README doc/QXmlEdit_manual.pdf
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/applications/%{bigname}.desktop
%{_datadir}/metainfo/%{bigname}.appdata.xml

%files -n libqxmledit -f %{bigname}.lang
%{_libdir}/libQXmlEdit*.so.*

%files -n libqxmledit-devel
%{_includedir}/%{name}/
%{_libdir}/libQXmlEdit*.so


%changelog
* Tue Jun 09 2020 TI_Eugene <ti.eugene@gmail.com> 0.9.15-1
- Initial packaging
